2002-12-08  Karl Eichwalder  <ke@suse.de>

	* config/configure.in: Remove do-nothing configure options:
	--enable-http, --enable-default-catalog, and
	--enable-default-search-path; these options belong to opensp only.
	Reported by Ville SkyttÃ¤.

	* unicode/unicode.syn: Remove it; now part of opensp.
	* unicode/unicode.sd: Likewise.
	* unicode/gensyntax.pl: Likewise.
	* unicode/demo.sgm: Likewise.
	* unicode/catalog: Likewise.
	* unicode: Likewise.
	* FILES: Delete all mentioned files.

2002-12-01  Karl Eichwalder  <ke@suse.de>

	* sunfix.sh: Remove it; it's required for OpenSP only.
	* FILES: Remove sunfix.sh reference.

	* docsrc/releasenotes.xml: Add system identifier.

2002-12-01 14:55  icastle

	* jade/TransformFOTBuilder.cxx: XML backend doesn't quote "&" in
	attribute values
	
	Ref: Toby Speight, Debian Bug 147073

2002-12-01 11:56  icastle

	* Makefile.comm.in: Make find OpenSP include files more robust
	
	Make sure that files included from OpenSP can in turn also include
	files from OpenSP - without the OpenSP files being in a standard
	include directory.
	
	Of course this is hack that will disappear in due course.

2002-12-01 11:53  icastle

	* config/configure.in: Improved support for configuration on PPC64
	architecture
	
	On PPC64 libosp is to be found in /usr/lib64 - so make sure we use
	this directory.
	
	Ref: Karl Eichwalder, email to openjade-devel list.

2002-12-01 11:43  icastle

	* dsssl/builtins.dsl: SGML Property Operations - typo in definition
	
	Correct the implementation of ISO/IEC 10179:1996 section 10.2.5
	SGML Property Operations (attribute string nl).
	
	Ref: Toby Speight, Debian Bug 145242: "attribute" builtin
	misdefined

2002-11-16 18:27  icastle

	* configure, config/configure.in: Correct speling misteak

2002-11-16 18:01  icastle

	* configure, grove/Node.cxx, include/config.h.in,
	spgrove/GroveBuilder.cxx: Get rid of warnings.
	
	Fix compilation warnings. Gcc 3.x (and RH 2.96) don't like pasting
	tokens after "::".  Make GroveImpl's destructor public...  Make
	config.h a bit happier about swallowing OpenSP's config.h

2002-11-16 08:33  icastle

	* config/configure.in: Make checking for location of libosp and
	include file more flexible and robust

2002-11-15 22:46  icastle

	* jade/Makefile.sub, spgrove/Makefile.sub, style/Makefile.sub:
	libosp is now elsewhere; and let libtool take the strain of trying
	to find all the libraries

2002-11-15 18:08  icastle

	* config/configure.in, include/config.h.in: Make sure that openjade
	config info is in sync with opensp

2002-10-20 22:57  icastle

	* Makefile.comm.in, instmac.pl, lib/instmac.pl: instmac.pl can't be
	in lib - because there isn't really one now!

2002-10-20 22:47  icastle

	* include/config.h.in: file config.h.in was initially added on
	branch RELEASE-1_3.

2002-10-20 22:47  icastle

	* include/dsssl_ns.h: file dsssl_ns.h was initially added on branch
	RELEASE-1_3.

2002-10-20 22:47  icastle

	* Makefile.comm.in, Makefile.in, NEWS, README, RELEASE, VERSION,
	configure, msggen.pl, config/configure.in, docsrc/releasenotes.xml,
	grove/Makefile.sub, grove/Node.h, include/Allocator.h,
	include/ArcEngine.h, include/Attribute.h, include/Attributed.h,
	include/Big5CodingSystem.h, include/Boolean.h, include/CharMap.cxx,
	include/CharMap.h, include/CharsetDecl.h, include/CharsetInfo.h,
	include/CharsetRegistry.h, include/CmdLineApp.h,
	include/CodingSystem.h, include/CodingSystemKit.h,
	include/ConsoleOutput.h, include/ContentState.h,
	include/ContentToken.h, include/CopyOwner.cxx, include/CopyOwner.h,
	include/DescriptorManager.h, include/Dtd.h,
	include/EUCJPCodingSystem.h, include/ElementType.h,
	include/Entity.h, include/EntityApp.h, include/EntityCatalog.h,
	include/EntityDecl.h, include/EntityManager.h,
	include/ErrnoMessageArg.h, include/ErrorCountEventHandler.h,
	include/Event.h, include/EventsWanted.h,
	include/ExtendEntityManager.h, include/ExternalId.h,
	include/Fixed2CodingSystem.h, include/GenericEventHandler.h,
	include/Hash.h, include/HashTable.cxx, include/HashTable.h,
	include/HashTableItemBase.cxx, include/HashTableItemBase.h,
	include/IList.h, include/IListBase.h, include/IListIter.h,
	include/IListIterBase.h, include/IQueue.cxx, include/IQueue.h,
	include/ISet.cxx, include/ISet.h, include/ISetIter.h,
	include/IdentityCodingSystem.h, include/InputSource.h,
	include/InternalInputSource.h, include/Link.h,
	include/LinkProcess.h, include/List.cxx, include/List.h,
	include/ListIter.h, include/LiteralStorage.h, include/Location.h,
	include/Lpd.h, include/Markup.h, include/Message.h,
	include/MessageArg.h, include/MessageBuilder.h,
	include/MessageEventHandler.h, include/MessageFormatter.h,
	include/MessageReporter.h, include/MessageTable.h, include/Mode.h,
	include/NCVector.h, include/NCVector.sed, include/Named.h,
	include/NamedResource.h, include/NamedResourceTable.h,
	include/NamedTable.h, include/Notation.h,
	include/NotationStorage.h, include/OpenElement.h,
	include/Options.cxx, include/Options.h, include/OutputByteStream.h,
	include/OutputCharStream.h, include/Owner.cxx, include/Owner.h,
	include/OwnerTable.cxx, include/OwnerTable.h, include/ParserApp.h,
	include/ParserOptions.h, include/PointerTable.cxx,
	include/PointerTable.h, include/PosixStorage.h, include/Ptr.cxx,
	include/Ptr.h, include/RangeMap.cxx, include/RangeMap.h,
	include/Resource.h, include/RewindStorageObject.h,
	include/SJISCodingSystem.h, include/SOEntityCatalog.h,
	include/Sd.h, include/SdText.h, include/SearchResultMessageArg.h,
	include/SgmlParser.h, include/ShortReferenceMap.h,
	include/StdioStorage.h, include/StorageManager.h,
	include/StringC.h, include/StringOf.cxx, include/StringOf.h,
	include/StringResource.h, include/SubstTable.cxx,
	include/SubstTable.h, include/Syntax.h, include/Text.h,
	include/TranslateCodingSystem.h, include/TypeId.h,
	include/URLStorage.h, include/UTF8CodingSystem.h,
	include/UnicodeCodingSystem.h, include/UnivCharsetDesc.h,
	include/Vector.cxx, include/Vector.h, include/Win32CodingSystem.h,
	include/WinApp.h, include/WinInetStorage.h,
	include/XMLCodingSystem.h, include/XcharMap.cxx,
	include/XcharMap.h, include/config.h, include/config.h.in,
	include/constant.h, include/dsssl_ns.h, include/macros.h,
	include/rtti.h, include/sptchar.h, include/types.h, include/xnew.h,
	jade/Makefile.sub, jade/SgmlFOTBuilder.cxx,
	spgrove/GroveBuilder.cxx, spgrove/Makefile.sub, style/DssslApp.cxx,
	style/DssslAppMessages.msg, style/DssslSpecEventHandler.cxx,
	style/DssslSpecEventHandler.h, style/Makefile.sub,
	style/MessageModule.cxx: Allow openjade to be built against the
	standalone, independent opensp (currently 1.5).
	
	Note two extract options to configure
	
	--spincludedir=<path to OpenSP include directory> --splibdir=<path
	to OpenSP library directory>
	
	These default to /usr/include/OpenSP and /usr/lib because that is
	where they are on my system.

2002-03-20 11:01  icastle

	* style/MessageModule.cxx: Tidy up jades use of the  new opensp
	modular message functions. Add some .cvsignore entries for clarity

2002-03-13 12:21  icastle

	* NEWS, RELEASE, config/configure.in, jade/MifFOTBuilder.cxx,
	style/SchemeParser.cxx, style/jade_version.h, style/primitive.cxx,
	testsuite/Makefile, testsuite/expr-lang.dsl,
	testsuite/expr-lang.expected: Merge with old jade_1_3_branch. A
	couple of fixes to the MIF backend, some minor bug fixes and small
	updates to the testsuite.
	
	Called this openjade 1.3.2

2002-01-25 15:34  icastle

	* docsrc/releasenotes.xml: Minor corrections (SuSE build
	information + some typos)

2002-01-24 18:30  icastle

	* RELEASE, docsrc/Makefile, docsrc/releasenotes.xml: More final
	changes

2002-01-24 17:51  icastle

	* ChangeLog: Update Changelog for release 1.3.1

2002-01-24 17:48  icastle

	* RELEASE: file RELEASE was initially added on branch RELEASE-1_3.

2002-01-24 17:48  icastle

	* docsrc/jadetex.cfg: file jadetex.cfg was initially added on
	branch RELEASE-1_3.

2002-01-24 17:48  icastle

	* docsrc/logo.png: file logo.png was initially added on branch
	RELEASE-1_3.

2002-01-24 17:48  icastle

	* NEWS, RELEASE, docsrc/.cvsignore, docsrc/Makefile,
	docsrc/jadetex.cfg, docsrc/logo.png, docsrc/onsgmls.xml,
	docsrc/openjade.xml, docsrc/osgmlnorm.xml, docsrc/ospam.xml,
	docsrc/releasenotes.dsl, docsrc/releasenotes.xml: Final changes to
	release notes and other documentation.

2002-01-23 18:10  icastle

	* docsrc/: .cvsignore, releasenotes.xml: More work on the
	releasenotes

2002-01-23 07:37  icastle

	* docsrc/releasenotes.xml: More work on releasenotes

2002-01-22 18:23  icastle

	* ChangeLog, docsrc/onsgmls.xml, docsrc/openjade.xml,
	docsrc/osgmlnorm.xml, docsrc/ospam.xml, docsrc/ospent.xml,
	docsrc/osx.xml, docsrc/releasenotes.xml, style/jade_version.h: Save
	work-in-progress. Mainly working on the release notes.	Set the
	version to 1.3.1

2002-01-22 11:57  icastle

	* Makefile.lib.in, Makefile.prog.in, configure,
	config/configure.in, include/config.h: Darwin/Mac OS X support
	
	Ref: Kogulé, Ryo
	
	Darwin / Mac OS X doesn't want "-fno-explicit-templates",
	SP_DEFINE_TEMPLATES must be set and SP_MANUAL_INST must not.
	
	libtool linking requires "-no-undefined".

2002-01-21 17:24  icastle

	* docsrc/releasenotes.dsl: file releasenotes.dsl was initially
	added on branch RELEASE-1_3.

2002-01-21 17:24  icastle

	* docsrc/: releasenotes.dsl, releasenotes.xml: Add skeleton for
	release notes

2002-01-21 17:24  icastle

	* docsrc/releasenotes.xml: file releasenotes.xml was initially
	added on branch RELEASE-1_3.

2002-01-21 17:06  icastle

	* Makefile.in: Add remaining man pages to the install-man target

2002-01-21 16:56  icastle

	* docsrc/: .cvsignore, Makefile, openjade.xml, osgmlnorm.xml,
	ospam.xml, ospent.xml: More updates to man pages. Should be
	finished now for 1.3.1

2002-01-19 09:40  icastle

	* configure: Make sure we have a valid configure in CVS.

2002-01-19 09:38  icastle

	* config/configure.in: AC_CONFIG_AUX_DIR was run to late for
	AM_INIT_AUTOMAKE

2002-01-19 09:16  icastle

	* config/missing: file missing was initially added on branch
	RELEASE-1_3.

2002-01-19 09:16  icastle

	* config/: install-sh, missing, mkinstalldirs: More
	autoconf/automake work
	
	Forgot to add install-sh, missing and mkinstalldirs on last commit

2002-01-19 09:16  icastle

	* config/mkinstalldirs: file mkinstalldirs was initially added on
	branch RELEASE-1_3.

2002-01-18 23:17  icastle

	* Makefile.comm.in, Makefile.in, Makefile.lib.in,
	config/aclocal.m4, config/configure.in, config/install.sh: More
	work on autoconf - introduce elements of automake
	
	Ref: Various bugs on source forge.
	
	The Makefiles/configure script was not as clever as it needed to
	be.  Various people have reported a variety of problems (install
	directories not being created etc).
	
	Incorporate some automake elements into the script... which should
	make installation a bit more robust.
	
	Also added an "install-man" target to install the manpages.

2002-01-18 23:14  icastle

	* lib/UTF8CodingSystem.cxx: Accept Byte Order Marks as valid XML
	
	Ref: Source Forge #442560 (Terje Bless/Liam Quinn)
	
	Determination of Character Encoding of an XML file brought in line
	with Second Edition XML 1.0 Specification (REC-xml-20001006) - Byte
	Order Marks now accepted as valid XML.

2002-01-18 23:06  icastle

	* jade/TransformFOTBuilder.cxx: Fix missing white space problem in
	processing instruction flow object
	
	Ref: Source Forge Bug #505113 and patch #505124 (Markus Hoenicka)
	
	No white space was emitted between the public-id and the system-id
	causing a malformed xml file to be generated.
	
	This patch introduces a space between the elements

2002-01-18 22:51  icastle

	* docsrc/spent.1: file spent.1 was initially added on branch
	RELEASE-1_3.

2002-01-18 22:51  icastle

	* docsrc/jade.1: file jade.1 was initially added on branch
	RELEASE-1_3.

2002-01-18 22:51  icastle

	* docsrc/nsgmls.1: file nsgmls.1 was initially added on branch
	RELEASE-1_3.

2002-01-18 22:51  icastle

	* docsrc/spam.1: file spam.1 was initially added on branch
	RELEASE-1_3.

2002-01-18 22:51  icastle

	* docsrc/sgmlnorm.1: file sgmlnorm.1 was initially added on branch
	RELEASE-1_3.

2002-01-18 22:51  icastle

	* docsrc/: .cvsignore, jade.1, nsgmls.1, openjade.xml, ospent.xml,
	osx.xml, sgmlnorm.1, spam.1, spent.1, sx.1: More man page updates

2002-01-18 22:51  icastle

	* docsrc/ospent.xml: file ospent.xml was initially added on branch
	RELEASE-1_3.

2002-01-18 22:51  icastle

	* docsrc/sx.1: file sx.1 was initially added on branch RELEASE-1_3.

2002-01-17 18:40  icastle

	* ChangeLog, configure, style/jade_version.h: Prepare for
	openjade-1.3.1-pre4

2002-01-17 18:37  icastle

	* docsrc/: Makefile, openjade.xml: More man page updates

2002-01-17 16:51  icastle

	* config/aclocal.m4, config/configure.in, lib/parser_inst.m4:
	Include re-worked version of RedHat's size_t patch
	
	Ref: redhat openjade-1.3-21
	
	Redhat's RPM contains a patch to provide a single #define to
	determine if size_t is the same as unsigned int.
	
	This patch was only applied if the build architecture was s390 or
	s390x.	However, I can't really see how this patch has a bearing on
	the S/390.  And the patch didn't actually work with any GNU C++
	compiler from 2.8 up to an including 3.0. The idea is quite good
	though, so I've reworked the patch to make it work as it is
	supposed to.
	
	Anyway, this may or may not have a bearing on S/390 support.

2002-01-17 16:41  icastle

	* docsrc/onsgmls.xml: file onsgmls.xml was initially added on
	branch RELEASE-1_3.

2002-01-17 16:41  icastle

	* docsrc/Makefile: file Makefile was initially added on branch
	RELEASE-1_3.

2002-01-17 16:41  icastle

	* docsrc/.cvsignore: file .cvsignore was initially added on branch
	RELEASE-1_3.

2002-01-17 16:41  icastle

	* docsrc/osx.xml: file osx.xml was initially added on branch
	RELEASE-1_3.

2002-01-17 16:41  icastle

	* docsrc/ospam.xml: file ospam.xml was initially added on branch
	RELEASE-1_3.

2002-01-17 16:41  icastle

	* docsrc/openjade.xml: file openjade.xml was initially added on
	branch RELEASE-1_3.

2002-01-17 16:41  icastle

	* docsrc/osgmlnorm.xml: file osgmlnorm.xml was initially added on
	branch RELEASE-1_3.

2002-01-17 16:41  icastle

	* doc/onsgmls.xml, doc/osgmlnorm.xml, doc/ospam.xml,
	docsrc/.cvsignore, docsrc/Makefile, docsrc/onsgmls.xml,
	docsrc/openjade.xml, docsrc/osgmlnorm.xml, docsrc/ospam.xml,
	docsrc/osx.xml, jadedoc/openjade.xml: Move source of documentation
	to docsrc.
	
	Will place the published versions in doc, jadedoc, man or whatever
	at release/build time

2002-01-17 14:35  icastle

	* include/config.h, spgrove/threads.h: MacOS X patches (fink)

2002-01-17 13:52  icastle

	* Makefile, Makefile.comm, Makefile.lib, Makefile.prog: Remove
	files generated by ./configure

2002-01-17 13:45  icastle

	* Makefile, Makefile.comm, Makefile.comm.in, Makefile.in,
	Makefile.lib, Makefile.lib.in, Makefile.prog, Makefile.prog.in,
	configure, config/aclocal.m4, config/config.guess,
	config/config.sub, config/configure.in, config/ltconfig,
	config/ltmain.sh: Upgrade autoconf/libtool
	
	Ref:
	
	Update the autocof/libtool infrastructure.
	
	Use the latest config.sub/config/guess
	
	Use autoconf 2.52 and libtool 1.4.x
	
	Move the hack from configure to be a proper test for towupper in
	configure.in.  Correct some complaints about smr_SWITCH being
	passed the wrong number of arguments (which is what DUMMY is all
	about).
	
	Create new aclocal.m4 and adjust various *.in files to use new
	style libtool (the one without ltconfig).

2002-01-17 13:36  icastle

	* doc/osgmlnorm.xml: file osgmlnorm.xml was initially added on
	branch RELEASE-1_3.

2002-01-17 13:36  icastle

	* doc/osgmlnorm.xml: Another man page

2002-01-17 12:12  icastle

	* testsuite/expr-lang.dsl: Make the stylesheet a valid one

2002-01-17 12:11  icastle

	* jadedoc/openjade.xml: Manual page for openjade(1)

2002-01-17 12:11  icastle

	* jadedoc/openjade.xml: file openjade.xml was initially added on
	branch RELEASE-1_3.

2002-01-17 12:09  icastle

	* dsssl/README.jadetex: file README.jadetex was initially added on
	branch RELEASE-1_3.

2002-01-17 12:09  icastle

	* dsssl/: ChangeLog, Makefile.jadetex, README.jadetex, demo.dsl,
	demo.sgm, jadetex.dtx, jadetex.ini, jadetex.ins, pdfjadetex.ini,
	unicode.sty: Make the demo actually work without errors
	
	Remove jadetex as it is now distributed seperately from openjade at
	http://jadetex.sourceforge.net

2002-01-16 17:39  icastle

	* doc/ospam.xml: file ospam.xml was initially added on branch
	RELEASE-1_3.

2002-01-16 17:39  icastle

	* doc/: onsgmls.xml, ospam.xml: More man pages

2002-01-16 13:26  icastle

	* doc/onsgmls.xml: file onsgmls.xml was initially added on branch
	RELEASE-1_3.

2002-01-16 13:26  icastle

	* doc/: nsgmls.xml, onsgmls.xml: Really, the command should be
	onsgmls because this is openjade. Renamed accordingly

2002-01-16 08:28  icastle

	* doc/nsgmls.xml: file nsgmls.xml was initially added on branch
	RELEASE-1_3.

2002-01-16 08:28  icastle

	* doc/: nsgmls.xml, openjade.1: Far better to mark up the man pages
	as XML/SGML.
	
	However, the best stylesheet for processing docbook refentries is
	an XLST one... It would be nice to have DSSSL version, of course.

2002-01-15 18:48  icastle

	* style/jade_version.h: Prepare for openjade-1.3.1-pre3

2002-01-15 18:36  icastle

	* configure, lib/CmdLineApp.cxx, lib/lib.dsp, style/DssslApp.cxx,
	style/Interpreter.cxx, style/LangObj.cxx, style/LangObj.h,
	style/primitive.cxx, style/style.dsp: Support for BSD (freeBSD 4.4)
	and MacOS X
	
	Ref: FreeBSD 4.4 patches + Fink patches
	
	This provides equivalent functionality to the freebsd 4.4 patch-aa
	and patch-ab patches.
	
	However, the standard BSD patches simply clobber the build
	environment - so if you use these, builds on other platforms break.
	
	The problem is that support for the POSIX locale in openjade
	requires two things: setlocale, and reasonable wchar support.
	FreeBSD 4.4 has setlocale support but is missing some wchar
	functions that are required. (towupper for example).
	
	The best solution would be to rework the POSIX locale support so
	that it will work with FreeBSD.
	
	However, I've made a simple hack:
	
	- Left the configure setlocale check in place - Added a new "wchar"
	check (which tests for towupper).
	
	This defines an additional build parameters SP_HAVE_WCHAR. This is
	simply applied with the same scope as SP_HAVE_SETLOCALE.
	
	This means that to get the locale support you must have an
	environment where both these are set.
	
	The result is that all environments that worked before will still
	work...
	
	I've directly edited configure rather than configure.in, but as it
	is already impossible to generate configure from configure.in I
	don't think this is too much of a problem.

2002-01-15 18:29  icastle

	* spgrove/GroveBuilder.cxx: Support for GCC version supplied with
	MacOS X
	
	Ref: fink project
	
	Tidy up C++ a bit for MacOS X builds

2002-01-15 18:28  icastle

	* spgrove/Makefile.sub, style/Makefile.sub: Support for old
	versions of libtool (1.3.x)
	
	Ref:
	
	FreeBSD 4.4 only has libtool 1.3 installed. Make sure this works as
	well as libtool 1.4

2002-01-15 15:31  icastle

	* doc/openjade.1: file openjade.1 was initially added on branch
	RELEASE-1_3.

2002-01-15 15:31  icastle

	* doc/openjade.1: First go at a manual page for openjade
	
	Info taken from the HTML

2002-01-15 13:26  icastle

	* ChangeLog: file ChangeLog was initially added on branch
	RELEASE-1_3.

2002-01-15 13:26  icastle

	* ChangeLog: Add a ChangeLog. People like ChangeLogs

2002-01-15 13:14  icastle

	* style/jade_version.h: Prepare for 1.3.1-pre2

2002-01-15 10:35  icastle

	* jade/TeXFOTBuilder.cxx: Red Hat bugzilla # 31525
	
	Ref: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=31525
	
	Work around to a problem with "special" characters in table of
	contents
	
	This is not a real fix for the problem - but has been in use for a
	while.	People have document collections which depend on this fix,
	so while it is not perfect, it is probably expedient to include it.

2002-01-14 16:30  icastle

	* doc/build.htm, jade/TeXFOTBuilder.cxx, lib/lib.dsp: Fixes for
	Win32 and Visual C++ 6.0
	
	Ref: Clive George, LOOK Systems
	
	VC++ 6.0 and below does not support static const int x = value
	inside a class. Work around by using enum.
	
	Can't use precompiled header when header file is not included...
	
	Update the build instructions

2002-01-14 08:55  icastle

	* README: Update README
	
	Ref:
	
	James Clark probably doesn't want to know about bug reports
	anymore.

2002-01-14 08:54  icastle

	* Makefile.in: Allow "libdir" to be specified by configure
	
	Ref: SuSe Linux 7.3

2002-01-14 08:15  icastle

	* Makefile.in, Makefile.lib.in, Makefile.prog.in: Add DESTDIR to
	enable easier packaging
	
	Ref: SuSe Linux 7.3
	
	Add DESTDIR (defaults to nothing so that existing build/packaging
	scripts are not affected) to Makefile.

2002-01-14 07:29  icastle

	* nsgmls/RastEventHandler.h, spgrove/GroveBuilder.cxx: GCC 3.1
	support
	
	Ref: SuSe Linux 7.3 (Andreas Schwab)
	
	Suppress compiler complaints about inaccessible class "Messenger"

2002-01-13 11:36  icastle

	* config/configure.in: Support autoconf 2.52
	
	Ref: SuSe Linux 7.3 RPM (Andreas Schwab)
	
	Allow newer versions of autoconf to work with configure.in

2002-01-12 09:13  icastle

	* configure: Clean up "configure" to remove spurious "command not
	found" error

2002-01-12 09:11  icastle

	* include/config.h: Support for GCC C++ 3.1 (new std namespace)

2002-01-11 16:41  icastle

	* style/jade_version.h: Make a 1.3.1-pre1 release for some wider
	testing

2002-01-11 15:55  icastle

	* dsssl/extensions.dsl, jade/TeXFOTBuilder.cxx: Add support for
	jadetex \TwoSideStartOnRight parameter
	
	Ref: sf.net/projects/openjade patch #439755

2002-01-11 15:51  icastle

	* jade/TeXFOTBuilder.cxx: Prevent tex output generating ligatures
	when it shouldn't
	
	Ref: Redhat bugs #11497, #11779 openjade-1.3-ligature.patch

2002-01-11 15:48  icastle

	* dsssl/extensions.dsl, jade/TeXFOTBuilder.cxx,
	jade/TeXFOTBuilder_inst.m4, style/ELObj.cxx, style/ELObj.h,
	style/InterpreterMessages.msg, style/ProcessContext.cxx,
	style/SosofoObj.h, style/primitive.cxx: Francis J. Lacoste's
	feature and bug fixes
	
	Ref: http://iNdev.iNsu.COM/openjade/openjade-1.3.patch
	
	- Better (time<=?) support
	
	  This fixes bugs in the time string support of OpenJade. It makes
	  it possible to compare time, date and datetime (not only
	datetime).
	  Also partial format (like YY-MM-DD, YYYY-MM or HH:MM) are now
	supported.
	
	- Optimization of sosofo-append
	
	  This fix optimizes sosofo-append to reduce its memory and stack
	usage when
	  using it to build long list of sosofo :
	     (let loop ( (res (empty-sosofo))
			 (nl  (node-list-rest (children (current-node)))))
		(loop (sosofo-append res (process-node-list
	(node-list-first nl)))
		      (node-list-rest nl)))
	
	- twoside optional characteristic
	
	  JadeTeX turns on the twoside LaTeX feature by default.
	
	  Those patches make it optional by using an extension
	characteristics.
	
	- Better table support
	
	  These makes the support for tables in the TeX backend a lot
	better.
	
	     o	Support for nested tables.
	     o	cell-after-column-margin: and cell-before-column-margin:
	wasn't
		really working.
	     o	Row spanning was broken. This patch only supports
		'start row alignment though.
	     o	Paragraphs in cell spanning multiple column are now
	working.
	     o	Support for the row-alignment: characteristic.
	     o	Support for cell-background? and background-color
	properties
	
	- Support for 'asis and 'asis-wrap
	
	  This adds support for the 'asis and 'asis-wrap values for the
	  paragraph's lines: characteristic.

2002-01-11 15:37  icastle

	* jade/MifFOTBuilder.cxx: Support for newer compiler versions
	
	ref: redhat openjade-foo.patch

2002-01-11 15:35  icastle

	* spgrove/Makefile.sub, style/Makefile.sub: Fix problems with newer
	libtool
	
	Ref: Redhat Bug #46212, openjade-1.3-lt.patch

2002-01-11 15:21  icastle

	* style/LangObj.cxx: Support for newer GCC libstdc++
	
	ref: Redhat openjade-1.3-strdup.patch	   Connectiva
	openjade-1.3-ia64.patch
	
	Newer libstdc++ has strdup

2002-01-11 15:16  icastle

	* nsgmls/nsgmls.cxx, spgrove/GroveBuilder.cxx: Support for newer
	compilers.
	
	ref: redhat openjade-1.3-decl.patch

2002-01-11 14:28  icastle

	* style/jade_version.h: Make sure that CVS really does contain the
	source for openjade-1.3
	
	It should now be possible to do
	
	cvs co -r RELEASE-1_3_0 and get the exact same source that is in
	the old openjade-1.3.tar.gz tarball

1999-11-11 21:48  clasen

	* config/install-sh: Remove generated and unneeded files.

1999-11-11 18:36  clasen

	* instmac.pl: Need the perl scripts here too.

1999-10-15 22:19  clasen

	* include/CharMap.cxx, lib/Attribute.cxx, lib/SOEntityCatalog.cxx,
	lib/WinApp.cxx, lib/XMLCodingSystem.cxx: Include the relevant
	patches from sp-1.3.4 (ignoring fixes to template instantiation
	with gcc-2.95 and an sx patch which we already had).

1999-10-15 22:01  clasen

	* NEWS, jade/TransformFOTBuilder.cxx, jade/TransformFOTBuilder.h,
	jade/jade.cxx, jadedoc/index.htm: Add the sgml-raw, xml-raw
	backends (patch by Brandon Ibach).

1999-10-15 21:44  clasen

	* spgrove/GroveBuilder.cxx: Fix a crash with empty CDATA
	attributes.

1999-10-07 08:19  clasen

	* grove/grove.dsp, lib/lib.dsp, spgrove/spgrove.dsp,
	style/style.dsp: Correct dll names. Untested. Windows hackers, test
	this!!!

1999-10-07 08:12  clasen

	* style/primitive.cxx: Apply the fix for duplicate property rcsname
	`tokens' already in main branch.

1999-10-06 09:59  pn

	* style/primitive.cxx: StringToList: Protect the list while it is
	built with a ELObjDynamicRoot.	(important bug fix).

1999-09-29 08:34  clasen

	* style/style_inst.m4: Make manual inst work with gcc-2.95.

1999-09-10 12:58  clasen

	* jadedoc/index.htm: Document internal definitions as missing.

1999-09-09 16:28  clasen

	* jadedoc/: autoconf.htm, dsssl2.htm, index.htm, mif.htm, rtf.htm,
	tex.htm, transform.htm, xmlfo.htm: More doc improvements.

1999-09-08 07:13  pn

	* jadedoc/: contributors.htm, dsssl2.htm, index.htm, mif.htm,
	rtf.htm, tex.htm, transform.htm, xmlfo.htm: Merged fixes from main
	branch.

1999-09-07 22:51  clasen

	* jadedoc/index.htm: Lift some sections from the old docs.

1999-09-07 10:51  clasen

	* jadedoc/: contributors.htm, dsssl2.htm, index.htm, mif.htm,
	rtf.htm, tex.htm, transform.htm, xmlfo.htm, images/background.gif,
	images/dsssltitle.gif, images/space.gif, images/top-of-page.gif:
	More documentation fixes, images added.

1999-09-07 00:55  clasen

	* jadedoc/: contributors.htm, copying.txt, dsssl2.htm, index.htm,
	mif.htm, rtf.htm, tex.htm, transform.htm, xmlfo.htm: The new
	documentation, images still missing.

1999-09-01 20:38  clasen

	* style/sdata.h: fix sdata entity map for
	cyrillic-capital-letter-de.

1999-09-01 08:25  clasen

	* Makefile.lib.in, configure, config/configure.in,
	grove/Makefile.sub, lib/Makefile.sub, spgrove/Makefile.sub,
	style/Makefile.sub: Set library versions explicitly. All renamed
	libraries start out as 0:0:0.

1999-08-30 11:25  Avi

	* grove/Makefile.sub, jade/Makefile.sub, lib/Makefile.sub,
	nsgmls/Makefile.sub, sgmlnorm/Makefile.sub, spam/Makefile.sub,
	spent/Makefile.sub, spgrove/Makefile.sub, style/Makefile.sub,
	sx/Makefile.sub, grove/grove.dsp, groveoa/groveoa.dsp,
	jade/jade.dsp, lib/lib.dsp, nsgmls/nsgmls.dsp,
	sgmlnorm/sgmlnorm.dsp, spam/spam.dsp, spent/spent.dsp,
	spgrove/spgrove.dsp, style/style.dsp, sx/sx.dsp: Binaries renamed
	to avoid conflict with Jade package.

1999-08-29 22:15  clasen

	* config/install-sh: Apply a cleanup patch by Adam, rename
	install.sh to install-sh since the autoconf manual recommends it.

1999-08-24 16:59  pn

	* style/InterpreterMessages.msg: varCharPropertyExprUnsupported:
	New message.

1999-08-24 16:58  pn

	* style/Interpreter.cxx: (Interpreter::addCharProperty,
	Interpreter::setCharProperty): Avoid crashing when expression is
	non-constant.

1999-08-24 11:18  clasen

	* Makefile.prog.in, configure, config/configure.in: Support
	--program-prefix and friends in configure.

1999-08-23 10:14  Avi

	* jadedist/bin-files.txt: Added dsssl/extensions.dsl to the binary
	distribution.

1999-08-22 15:37  Avi

	* Makefile.comm, Makefile.comm.in: .msg implicit rule fix; old rule
	remains for non-gnu make.

1999-08-22 15:13  Avi

	* Makefile, Makefile.in: Inter-directory dependency fixes.

1999-08-21 19:25  Avi

	* contrib/: catalog, transform.dsl: SGML transformation procedures.

1999-08-21 16:52  Avi

	* style/jade_version.h: Version number: 1.3pre1

1999-08-21 13:22  Avi

	* Makefile, Makefile.in: Directory dependency fix.

1999-08-21 13:19  Avi

	* Makefile.comm: Removed dependency on m4.

1999-08-21 12:39  Avi

	* testsuite/expr-lang.dsl: Tests defined a little less painfully.

1999-08-21 12:27  Avi

	* testsuite/expr-lang.dsl: Line-terminator fix.

1999-08-21 12:26  Avi

	* testsuite/expr-lang.expected: Language-dependent char tests.

1999-08-21 12:09  Avi

	* testsuite/expr-lang.dsl: Language-dependent char tests.

1999-08-21 12:08  Avi

	* testsuite/Makefile: 'make clean' target

1999-08-20 21:36  Avi

	* testsuite/expr-lang.expected: Expression language expected test
	results.

1999-08-20 21:33  Avi

	* testsuite/: expr-lang.dsl, null.sgml: Copyright information.

1999-08-20 21:31  Avi

	* testsuite/Makefile: Testsuite driver.

1999-08-20 21:18  Avi

	* testsuite/expr-lang.dsl: Expression language tests. Currently
	tests only the char=? procedure, but ready for much more.

1999-08-20 21:17  Avi

	* testsuite/null.sgml: Null SGML instance.

1999-08-20 20:41  clasen

	* dsssl/builtins.dsl: Fix some bugs introduced by blindly typing in
	the definitions from the standard.

1999-08-20 20:10  clasen

	* style/: StyleEngine.h, Interpreter.h, StyleEngine.cxx:    Parse
	cmdline definitions properly and allow
	   -Vvariable1 -Vvariable2=value2 -V\(define\ variable3\ value3\)
	   as equivalent to
	   (define variable1 #t)
	   (define variable2 "value2")
	   (define variable3 value3)

1999-08-20 20:05  Avi

	* dsssl/builtins.dsl: Implemented char and string primitives.

1999-08-20 19:44  Avi

	* dsssl/builtins.dsl: (ancestors) infinite loop fixed.

1999-08-20 19:42  Avi

	* lib/entmgr_inst.m4: Corrected usage of config macros.

1999-08-20 11:49  Avi

	* contrib/rtf2doc.pl: Handle Word errors gracefully

1999-08-20 08:05  clasen

	* lib/: entmgr_inst.m4, parser_inst.m4: Replace gcc-2.95 specific
	fixes by more generic ones.

1999-08-19 23:54  Avi

	* contrib/: README, rtf2doc.pl: Script to convert .rtf files to
	.doc, embedding graphics in the process.

1999-08-19 22:55  Avi

	* contrib/README: A short description of what this directory is and
	what's in it.

1999-08-19 13:59  Avi

	* style/FlowObj.cxx: Fix for MSVC++.

1999-08-19 13:51  Avi

	* groveoa/GroveNode.cxx: Fix typo in ElementTypeNode
	implementation.

1999-08-18 21:48  pn

	* style/charProps.h: Interpreter::installCharProperties(): Add
	values for break-before-priority and break-after-priority character
	properties.

1999-08-17 19:53  clasen

	* lib/entmgr_inst.m4: OK, I'll stop committing now until I'm sure
	there are no more dupes.

1999-08-17 19:51  clasen

	* lib/entmgr_inst.m4: One more duplicate removed.

1999-08-17 19:41  clasen

	* jade/MifFOTBuilder_inst.m4, lib/entmgr_inst.m4: Remove duplicate
	instantiations.

1999-08-17 18:45  clasen

	* develdoc/missing: Doc updates.

1999-08-17 11:44  clasen

	* grove/Node.cxx, grove/Node.h, groveoa/CGroveBuilder.cxx,
	groveoa/CGroveBuilder.h, groveoa/GroveNode.cxx,
	groveoa/groveoa.idl, style/ELObjPropVal.h: Apply prlabs1 patch
	contained in JadeMIF-1.0h by Kathleen Marszalek.

1999-08-16 22:48  clasen

	* style/Expression.cxx: Implement force!.

1999-08-16 19:38  clasen

	* jade/MifFOTBuilder_inst.m4, lib/entmgr_inst.m4,
	lib/parser_inst.m4: Temp fixes for template initialization to allow
	compilation with gcc-2.95.

1999-08-16 19:16  clasen

	* style/FlowObj.cxx: Remove forgotten printf.

1999-08-16 01:00  clasen

	* style/InheritedC.cxx: Change PublicIdInheritedC to return a
	string, not a symbol.

1999-08-15 23:45  clasen

	* style/: FlowObj.cxx, Interpreter.h, SchemeParser.cxx,
	SchemeParser.h, primitive.h: Implement
	declare-char-characteristic+property. We do not actually support
	any nonstandard character NICs, they are just ignored (and are
	available as char properties).
	
	Move the nonstandard functionality of sgml-parse and expt to
	external procedures of the same name.
	
	Apply a patch by Peter Nilsson to fix several bugs in the
	SchemeParser part of the character properties implementation.

1999-08-15 22:31  clasen

	* dsssl/extensions.dsl: All extensions known to jade.

1999-08-14 12:43  clasen

	* style/primitive.h: Forgot to remove map and c..r from the header.

1999-08-13 21:38  clasen

	* dsssl/builtins.dsl: Replace the cxx map and c..r primitives by
	scheme equivalents.

1999-08-13 21:28  clasen

	* jade/TeXFOTBuilder.cxx: Emit all character NICs, emit script as
	string without prefix.	Mainly for testing purposes.  Since the
	character NICs are not used at all by the jadetex macros and blow
	up the size of the tex files, this should probably be changed
	before 1.3.

1999-08-13 21:26  clasen

	* style/: ProcessContext.cxx, FOTBuilder.h, FlowObj.cxx, Insn.cxx,
	SosofoObj.h, charProps.h, ELObjPropVal.h, Expression.cxx,
	FOTBuilder.cxx, Insn2.h: 
	{Interpreter,SchemeParser}.{h,cxx},InterpreterMessages.msg,primitiv
	e.cxx, style_inst.m4:  EL side of character properties. 
	ProcessContext.cxx:  process-children-trim uses input-whitespace?. 
	charProps.h:  New file, some standard character properties
	extracted from Unicode.  SosofoObj.h,ProcessContext.cxx,Insn.cxx: 
	Save current node in SetNonInheritedCsSosofoObj. 
	FOTBuilder.{h,cxx},FlowObj.cxx,Insn2.h,Insn.cxx,Expression.cxx: 
	Special inheritance for character NICs, using a new
	SetImplicitCharInsn.  ELObjPropVal.h:  New file, extracted from
	primitive.cxx.

1999-08-13 21:09  clasen

	* style/: Interpreter.h, SchemeParser.cxx, SchemeParser.h: The
	expression language part of character properties.

1999-08-12 14:54  clasen

	* style/SchemeParser.cxx: Check that a unit-name is not an
	exponent-marker.

1999-08-05 23:30  clasen

	* develdoc/missing: Doc updates.

1999-08-05 23:29  clasen

	* style/: Interpreter.h, SchemeParser.cxx, SchemeParser.h:
	Implement special-query-expressions. Note: the keywords are treated
	as syntactic keywords (the standard isn't explicit about this).

1999-08-04 21:01  clasen

	* style/StyleEngine.cxx: Fix parsing of declarations in multiple
	parts.

1999-08-04 20:57  clasen

	* style/: Style.h, Style.cxx: Correct subobject handling of color
	spaces.

1999-08-04 20:55  clasen

	* style/: Interpreter.h, SchemeParser.cxx: 
	Fixes for default-language-declaration (Peter Nilsson
	<pnidv96@student.vxu.se>).  Check for valid character-names and
	numbers when parsing standard-chars (test case:
	<standard-chars>xyz$!% #d-5</standard-chars>).	Check for valid
	unit-name when parsing unit-declaration (test case: (define-unit
	xyz$!% 2m) ).  Fix parsing of numbers with #d prefix and decimal
	dot (test case: #d6.0e+2m2).

1999-08-04 20:51  clasen

	* style/: ELObj.cxx, ELObj.h: Print methods for UnspecifiedObj and
	ErrorObj by Peter Nilsson <pnidv96@student.vxu.se>.

1999-08-02 19:34  clasen

	* style/SchemeParser.cxx: Fix keyword and identifier parsing.
	Previously, some valid keywords were not accepted, eg ::, a: and
	:a:.

1999-08-02 19:33  clasen

	* dsssl/builtins.dsl: replace all occurrences of siblings by
	rsiblings.

1999-07-31 19:53  clasen

	* style/DssslApp.cxx: Applied patch to allow -Dvar=val for string
	values.

1999-07-23 22:00  Avi

	* style/jade_version.h: Version number indicates 1.3 development.

1999-07-23 21:57  Avi

	* include/Entity.h: Classes declared SP_API in order to survive
	MSVC (caused by builtins.dsl entity dereference)

1999-07-23 21:28  Avi

	* style/common_inst.m4: More uninstantiated templates

1999-07-23 20:49  Avi

	* style/common_inst.m4: Add uninstantiated templates

1999-07-23 19:56  Avi

	* build-win32.bat: Script to build Jade for Win32

1999-07-23 19:56  Avi

	* jade-generate.mak, sp-generate.mak: Removed dependencies on unix
	tools (m4, chmod, rm)

1999-07-23 19:10  Avi

	* jade/MifFOTBuilder.cxx, jade/RtfFOTBuilder.cxx,
	jade/SgmlFOTBuilder.cxx, jade/TeXFOTBuilder.cxx,
	style/FOTBuilder.cxx, style/FOTBuilder.h, style/FlowObj.cxx,
	style/ProcessContext.cxx, style/ProcessContext.h:
	simple-page-sequence headers and footers unserialized

1999-07-23 19:00  Avi

	* Makefile: Mif and HTML enabled by default

1999-07-23 18:55  Avi

	* dsssl/catalog: System id resolved for builtins.dsl

1999-07-23 18:36  clasen

	* Makefile, Makefile.comm, Makefile.lib, Makefile.prog: Restore
	original Makefiles.

1999-07-23 18:19  Avi

	* msggen.pl: Fix Perl -w warning

1999-07-23 18:15  clasen

	* Makefile, Makefile.comm, Makefile.lib, Makefile.prog,
	jade/TeXFOTBuilder.cxx: Cleanup to make it compile. Added enough
	dependencies for ./configure; make to work without intermediate
	make gen.

1999-07-23 16:50  clasen

	* VERSION, config/aclocal.m4, config/ltconfig, config/ltmain.sh,
	include/config.h, jade/TeXFOTBuilder.cxx,
	lib/CmdLineAppMessages.msg, spgrove/threads.h,
	style/DssslAppMessages.msg, style/jade_version.h: Just merged
	jade_1_2_2 to the main branch.

1999-07-22 23:00  clasen

	* develdoc/missing: List of missing pieces from DSSSL.

1999-07-22 22:58  clasen

	* style/: Interpreter.h, Style.cxx, Style.h: support for all
	standard color-spaces via conversion to device rgb.

1999-07-22 22:56  clasen

	* develdoc/jadedoc.sgml: Documentation of jade internals.

1999-07-19 22:45  clasen

	* Makefile.comm.in: Change rule for m4.cxx to use perl and remove
	check for m4 from configure.

1999-07-13 12:50  Avi

	* lib/instmac.pl: Replacement for instmac.m4

1999-07-13 12:47  Avi

	* lib/instmac.pl: file instmac.pl was initially added on branch
	jade_1_2_1_branch.

1999-07-11 20:11  clasen

	* style/FOTBuilder.cxx, style/FOTBuilder.h, jade/TeXFOTBuilder.cxx,
	style/InheritedC.cxx: inline-space-space is no longer ignored by
	FOTBuilder and TeXFOTBuilder.  I haven't yet added support to
	jadetex.

1999-07-09 00:48  clasen

	* sx/XmlOutputEventHandler.cxx: merge the fix applied in the stable
	branch.

1999-07-08 21:52  clasen

	* style/SchemeParser.cxx: SchemeParser::parseMake(): ignore
	duplicate keywords in make expressions.

1999-07-08 01:00  clasen

	* dsssl/style-sheet.dtd: allow declarations before the first part.

1999-07-08 00:57  clasen

	* dsssl/jadetex.dtx: jadetex 2.7 again. The previous commit had
	this file truncated.

1999-07-08 00:45  clasen

	* include/config.h: add a default value for
	DEFAULT_SCHEME_BUILTINS.

1999-07-08 00:43  clasen

	* Makefile.comm.in: generate dependency information for libtool
	objects (.lo) as well.

1999-07-08 00:40  clasen

	* style/: Interpreter.h, SchemeParser.cxx, SchemeParser.h,
	StyleEngine.cxx: cleanup the declaration element stuff. The parsing
	is done by the SchemeParser, the Interpreter simply holds the
	resulting values.

1999-07-01 23:49  clasen

	* style/: Interpreter.h, LangObj.cxx, LangObj.h, ELObj.cxx,
	ELObj.h, EvalContext.h, SchemeParser.cxx, SchemeParser.h,
	primitive.h: language-dependent expression language procedures and
	external procedure "UNREGISTERED::OpenJade//Procedure::language" to
	create language objects by reference to a POSIX locale.

1999-07-01 23:44  clasen

	* dsssl/: catalog, style-sheet.dtd: add supported decl archforms to
	dtd, change pubid to "-//OpenJade//DTD DSSSL Style Sheet//EN", add
	catalog entry for new pubid, but leave old entry.

1999-06-30 01:34  clasen

	* dsssl/Makefile.jadetex, dsssl/jadetex.dtx,
	jade/TeXFOTBuilder.cxx, jade/TeXFOTBuilder_inst.m4: merge the TeX
	backend additions from the stable branch.

1999-06-30 01:20  clasen

	* dsssl/ChangeLog: forgotten file.

1999-06-30 01:19  clasen

	* dsssl/unicode.sty: PDF bookmarks support for TeX backend/jadetex
	from Sebastian, who gives credit for the patches to J.-M. Kubek
	(kubek@insa-tlse.fr).

1999-06-30 00:54  clasen

	* style/: DssslApp.cxx, DssslApp.h, Interpreter.h,
	SchemeParser.cxx, SchemeParser.h, StyleEngine.cxx, StyleEngine.h:
	char-repertoire, add-name-chars and add-separator-chars declaration
	element type forms, -s cmdline switch to make jade forget its
	builtin character repertoire.

1999-06-30 00:51  clasen

	* Makefile.comm.in, dsssl/builtins.dsl: fix default location for
	builtins.dsl (you can change that at runtime via a SYSTEM catalog
	entry); remove duplicate procedures from builtins.dsl.

1999-06-29 22:20  clasen

	* msggen.pl: prepare msggen.pl to create .po files for gettext.

1999-06-29 22:04  clasen

	* Makefile.in, dsssl/builtins.dsl, style/DssslApp.cxx,
	style/DssslApp.h, style/GroveManager.h, style/Interpreter.h:
	support for "scheme builtins" and a little fix for gettext
	detection.  The following things are still to do for the "scheme
	builtins": the windows build process has to install builtins.dsl
	somewhere and define DEFAULT_SCHEME_BUILTINS accordingly; we have
	to decide which of the added expression language procedures should
	stay in cxx and which should be defined in scheme.

1999-06-26 21:47  clasen

	* style/charNames.h: "line-feed" and "carriage-return" predefined
	character names.

1999-06-26 21:44  clasen

	* style/: DssslSpecEventHandler.cxx, DssslSpecEventHandler.h,
	Interpreter.h, StyleEngine.cxx: standard-chars and map-sdata-entity
	declaration element type forms, "line-feed" and "carriage-return"
	predefined character names.

1999-06-23 00:17  clasen

	* style/primitive.h: Add a lot of expression language primitives,
	and map-constructor.

1999-05-02 16:46  Avi

	* FILES, jade.dsw, jade.mak, README, SP.dsw, SP.mak, all/all.dsp,
	doc/index.htm, grove/LocNode.cxx, grove/LocNode.h,
	include/CharMap.h, include/Event.h, include/InternalInputSource.h,
	include/Mode.h, include/OpenElement.h, include/OwnerTable.cxx,
	include/RangeMap.h, include/Text.h, jade/HtmlFOTBuilder.cxx,
	jade/TmpOutputByteStream.h, jadedist/files.txt,
	jadedist/jadedist.dsp, lib/ArcEngine.cxx, lib/CharsetRegistry.cxx,
	lib/Entity.cxx, lib/Location.cxx, lib/MessageTable.cxx,
	lib/parseDecl.cxx, lib/ParserState.cxx, lib/ParserState.h,
	lib/Recognizer.h, lib/Text.cxx, lib/Undo.h, lib/xentmgr_inst.m4,
	spgrove/SdNode.cxx, spgrove/SdNode.h, style/Collector.cxx,
	style/Collector.h, style/dsssl_ns.h, style/FlowObj_inst.m4,
	style/primitive_inst.m4, style/ProcessingMode.h: Jade 1.2.1

1999-05-02 16:44  Avi

	* Makefile.comm.in, Makefile.in, config/aclocal.m4,
	config/ltconfig, config/ltmain.sh, dsssl/Makefile.jadetex,
	dsssl/jadetex.dtx, jade/MifFOTBuilder.cxx,
	jade/MifFOTBuilder_inst.m4, jade/TeXFOTBuilder_inst.m4: Initial
	revision

1999-05-02 16:44  Avi

	* jade.mak, SP.mak, config/config.guess, config/config.sub,
	config/install.sh, dsssl/fot.dtd, dsssl/jadetex.ini,
	dsssl/jadetex.ins, dsssl/pdfjadetex.ini, include/InputSource.h,
	include/MessageTable.h, jade/MifFOTBuilder.h, jade/jade.rc,
	jade/MifMessages.msg, jade/TmpOutputByteStream.h,
	jadedist/files.txt, lib/ArcEngine.cxx, lib/MessageTable.cxx,
	lib/Mutex.h, lib/parseInstance.cxx, spam/CopyEventHandler.cxx: Jade
	1.2

1999-05-02 16:40  Avi

	* COPYING, FILES, SP.mak, doc/catalog.htm, lib/CmdLineApp.cxx,
	lib/parseParam.cxx, lib/ParserMessages.msg, lib/Priority.h,
	pubtext/html.dtd, pubtext/html.soc, pubtext/HTML4.soc,
	style/ProcessingMode.cxx, style/ProcessingMode.h: Jade 1.1.1

1999-05-02 16:37  Avi

	* style/charNames.h, style/SchemeParser.cxx, style/SchemeParser.h,
	sx/XmlOutputEventHandler.cxx: Initial revision

1999-05-02 16:36  Avi

	* FILES, jade.mak, SP.mak, doc/archform.htm, doc/catalog.htm,
	doc/charset.htm, doc/generic.htm, doc/index.htm, doc/new.htm,
	doc/nsgmls.htm, doc/sx.htm, doc/xml.htm, dsssl/fot.dtd,
	include/Attribute.h, include/CharsetInfo.h, include/CmdLineApp.h,
	include/ContentState.h, include/Dtd.h, include/EntityDecl.h,
	include/ExternalId.h, include/Mode.h, include/OpenElement.h,
	include/ParserOptions.h, include/SOEntityCatalog.h, include/Sd.h,
	include/Syntax.h, include/XMLCodingSystem.h,
	jade/HtmlFOTBuilder.cxx, jadedist/files.txt, lib/ArcEngine.cxx,
	lib/ArcProcessor.h, lib/CharsetInfo.cxx, lib/CmdLineApp.cxx,
	lib/CodingSystemKit.cxx, lib/ContentState.cxx, lib/Dtd.cxx,
	lib/Entity.cxx, lib/EntityApp.cxx, lib/ExtendEntityManager.cxx,
	lib/ExternalId.cxx, lib/GenericEventHandler.cxx,
	lib/InputSource.cxx, lib/ModeInfo.cxx, lib/parseAttribute.cxx,
	lib/parseCommon.cxx, lib/parseDecl.cxx, lib/parseInstance.cxx,
	lib/parseMode.cxx, lib/parseParam.cxx, lib/Parser.cxx,
	lib/Parser.h, lib/ParserApp.cxx, lib/ParserMessages.msg,
	lib/ParserOptions.cxx, lib/ParserState.cxx, lib/ParserState.h,
	lib/parseSd.cxx, lib/Priority.h, lib/Sd.cxx, lib/Syntax.cxx,
	lib/token.h, lib/UTF8CodingSystem.cxx, pubtext/HTML4-f.dtd,
	pubtext/HTML4-s.dtd, pubtext/HTML4.dcl, pubtext/HTML4.dtd,
	pubtext/HTMLlat1.ent, pubtext/HTMLspec.ent, pubtext/HTMLsym.ent,
	pubtext/xml.dcl, spam/CopyEventHandler.cxx,
	spam/CopyEventHandler.h, style/Collector.cxx, style/Collector.h,
	style/Expression.h, style/Insn.h, style/MacroFlowObj.cxx,
	style/MacroFlowObj.h, style/NumberCache.cxx, style/Pattern.cxx,
	style/Pattern.h, style/ProcessingMode.cxx, style/ProcessingMode.h,
	style/primitive_inst.m4, style/VM.h, style/style_pch.h,
	sx/SxMessages.msg, sx/XmlOutputEventHandler.h,
	sx/XmlOutputMessages.msg, sx/sx.cxx, sx/sx.rc, sx/sx_inst.m4: Jade
	1.1

1999-05-02 14:09  Avi

	* doc/archform.htm, doc/new.htm, lib/CatalogMessages.msg,
	lib/ParserMessages.msg, lib/parseSd.cxx,
	lib/UnicodeCodingSystem.cxx, lib/UnivCharsetDesc.cxx,
	pubtext/xml.dcl, spam/CopyEventHandler.cxx: Jade 1.0.1

1999-05-02 14:06  Avi

	* FILES, jade.mak, Makefile.wat, SP.mak, include/EntityCatalog.h,
	include/NotationStorage.h, include/Syntax.h, include/WinApp.h,
	jadedist/files.txt, lib/EntityApp.cxx, lib/EntityCatalog.cxx,
	lib/ExtendEntityManager.cxx, lib/NotationStorage.cxx, lib/Parser.h,
	lib/ParserMessages.msg, lib/ParserState.cxx, lib/parseSd.cxx,
	lib/splibpch.h, lib/Syntax.cxx, lib/URLStorage.cxx,
	style/style_pch.h: Jade 1.0

1999-05-02 14:03  Avi

	* jade.mak, Makefile.wat, SP.mak, doc/build.htm,
	include/Attribute.h, include/Boolean.h, include/OutputByteStream.h,
	include/SubstTable.cxx, jade/RtfOle.cxx, jade/TeXFOTBuilder.h,
	lib/CmdLineApp.cxx, lib/GenericEventHandler.cxx, lib/parseSd.cxx:
	Jade 0.9

1999-05-02 13:57  Avi

	* groveoa/CGroveBuilder.cxx, groveoa/CGroveBuilder.h,
	groveoa/GroveNode.cxx, groveoa/groveoa.idl, style/DssslApp.cxx,
	style/DssslApp.h, style/DssslAppMessages.msg, style/GroveManager.h,
	style/jade_version.h: Initial revision

1999-05-02 13:57  Avi

	* jade.mak, dsssl/fot.dtd, groveoa/GroveBuilder.rgs,
	groveoa/GroveNode.h, groveoa/StdAfx.cxx, groveoa/StdAfx.h,
	groveoa/groveoa.cxx, groveoa/groveoa.def, groveoa/groveoa.rc,
	groveoa/resource.h, jade/HtmlFOTBuilder.cxx,
	jade/HtmlFOTBuilder_inst.m4, jade/JadeMessages.msg,
	jade/RtfFOTBuilder_inst.m4, jade/RtfMessages.msg, jade/RtfOle.cxx,
	jade/RtfOle.h, jadedist/files.txt, lib/ParserMessages.msg,
	spgrove/GroveApp.cxx, spgrove/GroveApp.h, spgrove/GroveBuilder.h,
	spgrove/SdNode.cxx, spgrove/SdNode.h, spgrove/grove_inst.m4,
	style/Expression.h, style/GroveManager.cxx, style/Insn.h,
	style/NumberCache.cxx, style/ProcessingMode.cxx,
	style/ProcessingMode.h, style/VM.h, style/style_pch.h: Jade 0.8

1999-05-02 13:52  Avi

	* jade.mak, SP.mak: Jade 0.7

1999-05-02 13:51  Avi

	* FILES, jade.mak, Makefile.wat, SP.mak, doc/new.htm,
	doc/nsgmls.htm, doc/sgmlsout.htm, doc/spam.htm, dsssl/fot.dtd,
	grove/LocNode.cxx, grove/LocNode.h, include/Attribute.h,
	include/CmdLineApp.h, include/CodingSystem.h,
	include/ContentState.h, include/Dtd.h, include/ElementType.h,
	include/EntityCatalog.h, include/Event.h,
	include/ExtendEntityManager.h, include/Location.h,
	include/MessageFormatter.h, include/MessageReporter.h,
	include/OutputByteStream.h, include/OutputCharStream.h,
	include/ParserOptions.h, include/PointerTable.h,
	include/StringOf.cxx, include/Text.h, include/Vector.cxx,
	include/Vector.h, include/xnew.h, jade/HtmlFOTBuilder.cxx,
	jade/HtmlFOTBuilder.h, jade/HtmlFOTBuilder_inst.m4, jade/jade.rc,
	jade/RtfFOTBuilder.h, jade/RtfFOTBuilder_inst.m4,
	jade/TeXFOTBuilder.h, jade/TeXMessages.msg,
	jade/TransformFOTBuilder_inst.m4, jadedist/files.txt,
	lib/ArcEngine.cxx, lib/ArcProcessor.h, lib/Big5CodingSystem.cxx,
	lib/CmdLineApp.cxx, lib/CodingSystem.cxx, lib/CodingSystemKit.cxx,
	lib/ConsoleOutput.cxx, lib/ContentState.cxx, lib/Entity.cxx,
	lib/EntityCatalog.cxx, lib/EUCJPCodingSystem.cxx, lib/Event.cxx,
	lib/ExtendEntityManager.cxx, lib/Fixed2CodingSystem.cxx,
	lib/GenericEventHandler.cxx, lib/IdentityCodingSystem.cxx,
	lib/lib.rc, lib/Location.cxx, lib/MessageFormatter.cxx,
	lib/MessageFormatterMessages.msg, lib/MessageReporter.cxx,
	lib/MessageReporterMessages.msg, lib/Mutex.h,
	lib/OffsetOrderedList.cxx, lib/OffsetOrderedList.h,
	lib/OutputByteStream.cxx, lib/OutputCharStream.cxx,
	lib/parseAttribute.cxx, lib/parseCommon.cxx, lib/parseDecl.cxx,
	lib/parseInstance.cxx, lib/parseParam.cxx, lib/Parser.cxx,
	lib/Parser.h, lib/ParserApp.cxx, lib/ParserEventGeneratorKit.cxx,
	lib/ParserMessages.msg, lib/ParserOptions.cxx, lib/ParserState.cxx,
	lib/ParserState.h, lib/SJISCodingSystem.cxx, lib/parseSd.cxx,
	lib/StorageObjectPosition.h, lib/Text.cxx,
	lib/TranslateCodingSystem.cxx, lib/splibpch.h,
	lib/UTF8CodingSystem.cxx, lib/UnicodeCodingSystem.cxx,
	lib/Win32CodingSystem.cxx, nsgmls/NsgmlsMessages.msg,
	nsgmls/RastEventHandler.cxx, nsgmls/SgmlsEventHandler.cxx,
	nsgmls/SgmlsEventHandler.h, nsgmls/nsgmls.cxx, pubtext/xml.dcl,
	pubtext/xml.soc, spam/CopyEventHandler.cxx, spam/spam.cxx,
	spent/spent.cxx, spgrove/GroveApp.cxx, spgrove/GroveBuilder.h,
	spgrove/grove_inst.m4, style/FlowObj_inst.m4, style/Insn.h,
	style/ProcessingMode.h, style/primitive_inst.m4, style/VM.h: Jade
	0.6

1999-05-02 13:50  Avi

	* Makefile, Makefile.comm, Makefile.lib, Makefile.prog, VERSION,
	msggen.pl, sp-generate.mak, include/Entity.h, include/config.h,
	lib/CmdLineAppMessages.msg, lib/entmgr_inst.m4, lib/parser_inst.m4:
	Initial revision

1999-05-02 13:50  Avi

	* COPYING, FILES, jade.mak, Makefile.lib.CC, Makefile.lib.sun,
	Makefile.wat, README, SP.mak, japan.sgmldecl, sunfix.sh,
	all/README, doc/Makefile, doc/archform.htm, doc/build.htm,
	doc/catalog, doc/catalog.htm, doc/charset.htm, doc/features.htm,
	doc/generic.htm, doc/ideas.htm, doc/index.htm, doc/new.htm,
	doc/nsgmls.htm, doc/sgmldecl.htm, doc/sgmlnorm.htm,
	doc/sgmlsout.htm, doc/spam.htm, doc/spent.htm, doc/sysdecl.htm,
	doc/sysid.htm, dsssl/dsssl.dtd, dsssl/fot.dtd,
	generic/EventGenerator.h, generic/ParserEventGeneratorKit.h,
	generic/SGMLApplication.h, include/Allocator.h,
	include/ArcEngine.h, include/Attribute.h, include/Attributed.h,
	include/Big5CodingSystem.h, include/Boolean.h, include/CharMap.h,
	include/CharsetDecl.h, include/CharsetInfo.h,
	include/CharsetRegistry.h, include/CmdLineApp.h,
	include/CodingSystem.h, include/CodingSystemKit.h,
	include/ConsoleOutput.h, include/ContentState.h,
	include/ContentToken.h, include/CopyOwner.cxx, include/CopyOwner.h,
	include/DescriptorManager.h, include/Dtd.h,
	include/EUCJPCodingSystem.h, include/ElementType.h,
	include/EntityApp.h, include/EntityCatalog.h, include/EntityDecl.h,
	include/EntityManager.h, include/ErrnoMessageArg.h,
	include/ErrorCountEventHandler.h, include/Event.h,
	include/EventsWanted.h, include/ExtendEntityManager.h,
	include/ExternalId.h, include/Fixed2CodingSystem.h,
	include/GenericEventHandler.h, include/Hash.h,
	include/HashTable.cxx, include/HashTable.h,
	include/HashTableItemBase.cxx, include/HashTableItemBase.h,
	include/IList.h, include/IListBase.h, include/IListIter.h,
	include/IListIterBase.h, include/IQueue.cxx, include/IQueue.h,
	include/ISet.cxx, include/ISet.h, include/ISetIter.h,
	include/IdentityCodingSystem.h, include/InputSource.h,
	include/InternalInputSource.h, include/Link.h,
	include/LinkProcess.h, include/constant.h, include/List.cxx,
	include/List.h, include/ListIter.h, include/LiteralStorage.h,
	include/Location.h, include/Lpd.h, include/Markup.h,
	include/Message.h, include/MessageArg.h, include/MessageBuilder.h,
	include/MessageEventHandler.h, include/MessageReporter.h,
	include/MessageTable.h, include/Mode.h, include/NCVector.h,
	include/NCVector.sed, include/Named.h, include/NamedResource.h,
	include/NamedResourceTable.h, include/NamedTable.h,
	include/Notation.h, include/OpenElement.h, include/Options.cxx,
	include/Options.h, include/OutputCharStream.h, include/Owner.cxx,
	include/Owner.h, include/OwnerTable.cxx, include/OwnerTable.h,
	include/ParserApp.h, include/ParserOptions.h,
	include/PointerTable.cxx, include/PointerTable.h,
	include/PosixStorage.h, include/Ptr.cxx, include/Ptr.h,
	include/RangeMap.cxx, include/RangeMap.h, include/Resource.h,
	include/RewindStorageObject.h, include/SJISCodingSystem.h,
	include/SOEntityCatalog.h, include/Sd.h, include/SdText.h,
	include/SearchResultMessageArg.h, include/SgmlParser.h,
	include/ShortReferenceMap.h, include/StdioStorage.h,
	include/StorageManager.h, include/StringC.h, include/StringOf.cxx,
	include/StringOf.h, include/StringResource.h,
	include/SubstTable.cxx, include/SubstTable.h, include/Syntax.h,
	include/Text.h, include/TranslateCodingSystem.h, include/TypeId.h,
	include/URLStorage.h, include/UTF8CodingSystem.h,
	include/UnicodeCodingSystem.h, include/UnivCharsetDesc.h,
	include/Vector.cxx, include/Vector.h, include/Win32CodingSystem.h,
	include/WinInetStorage.h, include/XcharMap.cxx, include/macros.h,
	include/rtti.h, include/sptchar.h, include/types.h,
	include/XcharMap.h, include/xnew.h, jade/HtmlFOTBuilder.cxx,
	jade/HtmlFOTBuilder.h, jade/jade.rc, jade/RtfFOTBuilder.h,
	jade/RtfMessages.msg, jadedist/files.txt, jadedist/makedist.bat,
	lib/Allocator.cxx, lib/ArcEngine.cxx, lib/ArcEngineMessages.msg,
	lib/ArcProcessor.h, lib/Big5CodingSystem.cxx, lib/CatalogEntry.h,
	lib/CatalogMessages.msg, lib/CharsetDecl.cxx, lib/CharsetInfo.cxx,
	lib/CharsetRegistry.cxx, lib/CmdLineApp.cxx, lib/CodingSystem.cxx,
	lib/CodingSystemKit.cxx, lib/ConsoleOutput.cxx,
	lib/ContentState.cxx, lib/ContentToken.cxx,
	lib/DescriptorManager.cxx, lib/Dtd.cxx, lib/EUCJPCodingSystem.cxx,
	lib/ElementType.cxx, lib/Entity.cxx, lib/EntityApp.cxx,
	lib/EntityCatalog.cxx, lib/EntityDecl.cxx, lib/EntityManager.cxx,
	lib/EntityManagerMessages.msg, lib/EquivClass.h,
	lib/ErrnoMessageArg.cxx, lib/ErrorCountEventHandler.cxx,
	lib/Event.cxx, lib/EventGenerator.cxx, lib/EventQueue.h,
	lib/ExtendEntityManager.cxx, lib/ExternalId.cxx,
	lib/Fixed2CodingSystem.cxx, lib/GenericEventHandler.cxx,
	lib/Group.cxx, lib/Group.h, lib/app_inst.m4, lib/arc_inst.m4,
	lib/assert.cxx, lib/big5.h, lib/events.h, lib/gb2312.h,
	lib/Hash.cxx, lib/IListBase.cxx, lib/Id.cxx, lib/Id.h,
	lib/IdentityCodingSystem.cxx, lib/InputSource.cxx,
	lib/InternalInputSource.cxx, lib/Link.cxx, lib/LinkProcess.cxx,
	lib/LiteralStorage.cxx, lib/Location.cxx, lib/Lpd.cxx,
	lib/LpdEntityRef.h, lib/Markup.cxx, lib/MarkupScan.h,
	lib/Message.cxx, lib/MessageArg.cxx, lib/MessageEventHandler.cxx,
	lib/MessageReporter.cxx, lib/MessageReporterMessages.msg,
	lib/MessageTable.cxx, lib/ModeInfo.cxx, lib/ModeInfo.h,
	lib/NameToken.h, lib/Notation.cxx, lib/NumericCharRefOrigin.cxx,
	lib/NumericCharRefOrigin.h, lib/OffsetOrderedList.cxx,
	lib/OffsetOrderedList.h, lib/OpenElement.cxx,
	lib/OutputCharStream.cxx, lib/OutputState.cxx, lib/OutputState.h,
	lib/Param.cxx, lib/Param.h, lib/Parser.cxx, lib/Parser.h,
	lib/ParserApp.cxx, lib/ParserAppMessages.msg,
	lib/ParserEventGeneratorKit.cxx, lib/ParserMessages.msg,
	lib/ParserOptions.cxx, lib/ParserState.cxx, lib/ParserState.h,
	lib/iso646-jis.h, lib/iso8859-2.h, lib/iso8859-3.h,
	lib/iso8859-4.h, lib/iso8859-5.h, lib/iso8859-6.h, lib/iso8859-7.h,
	lib/iso8859-8.h, lib/iso8859-9.h, lib/jis0201.h, lib/jis0208.h,
	lib/jis0212.h, lib/ksc5601.h, lib/lib.rc, lib/memmove.c,
	lib/mkversion.pl, lib/parseAttribute.cxx, lib/parseCommon.cxx,
	lib/parseDecl.cxx, lib/parseInstance.cxx, lib/parseMode.cxx,
	lib/parseParam.cxx, lib/Partition.cxx, lib/Partition.h,
	lib/PosixStorage.cxx, lib/PosixStorageMessages.msg, lib/Priority.h,
	lib/Recognizer.cxx, lib/Recognizer.h, lib/RewindStorageObject.cxx,
	lib/SGMLApplication.cxx, lib/SJISCodingSystem.cxx, lib/Sd.cxx,
	lib/SdFormalError.h, lib/SdText.cxx,
	lib/SearchResultMessageArg.cxx, lib/SgmlParser.cxx,
	lib/ShortReferenceMap.cxx, lib/SrInfo.h, lib/StdioStorage.cxx,
	lib/StdioStorageMessages.msg, lib/StorageManager.cxx,
	lib/StorageObjectPosition.h, lib/StringVectorMessageArg.cxx,
	lib/StringVectorMessageArg.h, lib/Syntax.cxx, lib/Text.cxx,
	lib/TokenMessageArg.cxx, lib/TokenMessageArg.h,
	lib/TranslateCodingSystem.cxx, lib/Trie.h, lib/TrieBuilder.cxx,
	lib/TrieBuilder.h, lib/TypeId.cxx, lib/Undo.cxx, lib/Undo.h,
	lib/parseSd.cxx, lib/splib.cxx, lib/splib.h, lib/splibpch.h,
	lib/strerror.c, lib/token.h, lib/URLStorage.cxx,
	lib/URLStorageMessages.msg, lib/UTF8CodingSystem.cxx,
	lib/UnicodeCodingSystem.cxx, lib/UnivCharsetDesc.cxx,
	lib/Win32CodingSystem.cxx, lib/WinInetStorage.cxx,
	lib/WinInetStorageMessages.msg, lib/xentmgr_inst.m4,
	nsgmls/NsgmlsMessages.msg, nsgmls/RastEventHandler.cxx,
	nsgmls/RastEventHandler.h, nsgmls/RastEventHandlerMessages.msg,
	nsgmls/SgmlsEventHandler.cxx, nsgmls/SgmlsEventHandler.h,
	nsgmls/StringSet.cxx, nsgmls/StringSet.h, nsgmls/nsgmls.cxx,
	nsgmls/nsgmls.rc, nsgmls/nsgmls_inst.m4, pubtext/HTML32.dcl,
	pubtext/HTML32.dtd, pubtext/HTML32.soc, pubtext/ISOlat1.ent,
	pubtext/ISOlat1.sgm, pubtext/html-1.dtd, pubtext/html-1s.dtd,
	pubtext/html-s.dtd, pubtext/html.dcl, pubtext/html.dtd,
	pubtext/html.soc, sgmlnorm/SGMLGenerator.cxx,
	sgmlnorm/SGMLGenerator.h, sgmlnorm/sgmlnorm.cxx,
	spam/CopyEventHandler.cxx, spam/CopyEventHandler.h,
	spam/MarkupEventHandler.cxx, spam/MarkupEventHandler.h,
	spam/SpamMessages.msg, spam/spam.cxx, spam/spam.rc,
	spam/spam_inst.m4, spent/spent.cxx, spgrove/GroveApp.cxx,
	spgrove/GroveApp.h, style/Collector.cxx, style/FlowObj_inst.m4,
	unicode/catalog, unicode/demo.sgm, unicode/gensyntax.pl,
	unicode/unicode.sd, unicode/unicode.syn: Jade 0.5

1999-05-02 13:49  Avi

	* jade.mak, style/Collector.h: Jade 0.4

1999-05-02 13:48  Avi

	* jade.mak: Jade 0.3

1999-05-02 13:40  Avi

	* jade.mak: Jade 0.2

1999-05-02 13:39  Avi

	* jade-generate.mak, dsssl/catalog, dsssl/style-sheet.dtd,
	grove/Node.cxx, grove/Node.h, jade/RtfFOTBuilder.cxx,
	jade/SgmlFOTBuilder.cxx, jade/TeXFOTBuilder.cxx, spgrove/threads.h,
	style/DssslSpecEventHandler.cxx, style/DssslSpecEventHandler.h,
	style/ELObj.cxx, style/ELObj.h, style/common_inst.m4,
	style/EvalContext.h, style/Expression.cxx, style/FOTBuilder.cxx,
	style/FOTBuilder.h, style/FlowObj.cxx, style/InheritedC.cxx,
	style/Insn.cxx, style/Insn2.h, style/Interpreter.h,
	style/ProcessContext.cxx, style/ProcessContext.h,
	style/SosofoObj.h, style/Style.cxx, style/Style.h,
	style/StyleEngine.cxx, style/StyleEngine.h, style/primitive.h:
	Initial revision

1999-05-02 13:39  Avi

	* jade.mak, dsssl/demo.dsl, dsssl/demo.sgm, dsssl/dsssl.dtd,
	jade/HtmlFOTBuilder.cxx, jade/HtmlFOTBuilder.h,
	jade/HtmlFOTBuilder_inst.m4, jade/HtmlMessages.msg,
	jade/JadeMessages.msg, jade/RtfFOTBuilder.h,
	jade/RtfFOTBuilder_inst.m4, jade/SgmlFOTBuilder.h,
	jade/TeXFOTBuilder.h, jade/jade.rc, jadedist/files.txt,
	spgrove/GroveApp.cxx, spgrove/GroveApp.h, spgrove/GroveBuilder.h,
	spgrove/grove_inst.m4, style/Collector.cxx, style/Collector.h,
	style/dsssl_ns.h, style/ELObjMessageArg.cxx,
	style/ELObjMessageArg.h, style/Expression.h, style/FlowObj_inst.m4,
	style/Insn.h, style/NumberCache.cxx, style/NumberCache.h,
	style/ProcessingMode.cxx, style/ProcessingMode.h, style/VM.h,
	style/style_pch.h, style/stylelib.cxx, style/stylelib.h: Jade 0.1

